Subject: Re: bug#78860: 30.1.90; eshell: wrong-number-of-arguments

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jun 2025 14:35:14 +0300

> From: Christopher Howard <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 22 Jun 2025 18:36:51 -0800
> 
> I determined that, for some unknown reason the elc file for esh-ext.el was not being recompiled, even after a "make clean". I was able to resolve this issue by running a "make distclean" instead, which deletes the all the elc files under the lisp directory.

OK, thanks.

> I'm mildy curious why that "make clean" does not delete elc files. In most projects I've used, make clean delete all compiled files. But I'm sure there must be some arcane reason for it, probably documented in some installation instructions I didn't bother to read.

The reason why we don't delete *.elc files as part of "make clean" is
that Emacs release tarballs come with the *.elc files, and therefore
they technically aren't considered "compiled by the build process".

But "make distclean" doesn't remove the *.elc files, either, for the
same reason.  You need to use "make maintainer-clean" for that.